
Ryzom - Feature # 1378

Status: Assigned Priority: Normal
Author: sfb Category: Client: General
Created: 10/18/2011 Assignee: sfb
Updated: 05/11/2012 Due date:
Subject: WebIG Reference Implementation
Description

We should implement a reference implementation of the WebIG server-side PHP installation to demonstrate how to create new WebIG
apps. It would be nice if it was an app like 'news' but any test application (e.g. "hello world") would be sufficient to demonstrate the
system for projects.

History
#1 - 10/21/2011 05:03 pm - nimetu

I posted my findings to https://github.com/nimetu/webig

It has ingame auth with authkey, outgame auth with char+password, reading character and guild data from shard binary files.

#2 - 12/06/2011 10:33 pm - sfb
- Category set to Client: General
- Status changed from New to Assigned
- Assignee set to sfb

nimetu,

Is this a fully functioning reference implementation? Can your provide some documentation on how we go about utilizing it in a shard? And would you
mind if we merged it into the Ryzom Core Hg?

Thank you!!

#3 - 03/22/2012 09:59 pm - sfb
- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:70be64584ea9.

#4 - 03/23/2012 07:40 am - nimetu

Sorry, it seems I forgot to add this in to watch list.

sfb wrote:

And would you mind if we merged it into the Ryzom Core Hg?
https://github.com/nimetu/webig


Yes, adding it to Ryzom Core Hg is fine.

#5 - 05/11/2012 04:35 pm - sfb
- Status changed from Resolved to Assigned
- Target version changed from Version 0.10.0 to Version 0.9.0

We need to back this out as the full WebIG is now released.
